package com.toughra.ustadmobile.launcher;

import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import androidx.databinding.DataBinderMapper;
import androidx.databinding.DataBindingComponent;
import androidx.databinding.ViewDataBinding;
import java.lang.Integer;
import java.lang.Object;
import java.lang.Override;
import java.lang.RuntimeException;
import java.lang.String;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class DataBinderMapperImpl extends DataBinderMapper {
  private static final SparseIntArray INTERNAL_LAYOUT_ID_LOOKUP = new SparseIntArray(0);

  @Override
  public ViewDataBinding getDataBinder(DataBindingComponent component, View view, int layoutId) {
    int localizedLayoutId = INTERNAL_LAYOUT_ID_LOOKUP.get(layoutId);
    if(localizedLayoutId > 0) {
      final Object tag = view.getTag();
      if(tag == null) {
        throw new RuntimeException("view must have a tag");
      }
    }
    return null;
  }

  @Override
  public ViewDataBinding getDataBinder(DataBindingComponent component, View[] views, int layoutId) {
    if(views == null || views.length == 0) {
      return null;
    }
    int localizedLayoutId = INTERNAL_LAYOUT_ID_LOOKUP.get(layoutId);
    if(localizedLayoutId > 0) {
      final Object tag = views[0].getTag();
      if(tag == null) {
        throw new RuntimeException("view must have a tag");
      }
      switch(localizedLayoutId) {
      }
    }
    return null;
  }

  @Override
  public int getLayoutId(String tag) {
    if (tag == null) {
      return 0;
    }
    Integer tmpVal = InnerLayoutIdLookup.sKeys.get(tag);
    return tmpVal == null ? 0 : tmpVal;
  }

  @Override
  public String convertBrIdToString(int localId) {
    String tmpVal = InnerBrLookup.sKeys.get(localId);
    return tmpVal;
  }

  @Override
  public List<DataBinderMapper> collectDependencies() {
    ArrayList<DataBinderMapper> result = new ArrayList<DataBinderMapper>(2);
    result.add(new androidx.databinding.library.baseAdapters.DataBinderMapperImpl());
    result.add(new com.toughra.ustadmobile.DataBinderMapperImpl());
    return result;
  }

  private static class InnerBrLookup {
    static final SparseArray<String> sKeys = new SparseArray<String>(301);

    static {
      sKeys.put(0, "_all");
      sKeys.put(1, "activeAccount");
      sKeys.put(2, "activityEventHandler");
      sKeys.put(3, "adapter");
      sKeys.put(4, "addFileVisible");
      sKeys.put(5, "addMode");
      sKeys.put(6, "addTextVisible");
      sKeys.put(7, "alreadySelectedOption");
      sKeys.put(8, "approvalPersonParentJoin");
      sKeys.put(9, "assignment");
      sKeys.put(10, "assignmentMark");
      sKeys.put(11, "assignmentProgressSummary");
      sKeys.put(12, "assignmentStatus");
      sKeys.put(13, "attendanceRecordStatusMap");
      sKeys.put(14, "authorName");
      sKeys.put(15, "bitmask");
      sKeys.put(16, "bitmaskFlag");
      sKeys.put(17, "block");
      sKeys.put(18, "blockTitleError");
      sKeys.put(19, "blockWithAssignment");
      sKeys.put(20, "buttonEnabled");
      sKeys.put(21, "buttonLabel");
      sKeys.put(22, "caDeadlineError");
      sKeys.put(23, "caGracePeriodError");
      sKeys.put(24, "caMaxPointsError");
      sKeys.put(25, "caStartDateError");
      sKeys.put(26, "caTitleError");
      sKeys.put(27, "changePasswordVisibility");
      sKeys.put(28, "chart");
      sKeys.put(29, "chat");
      sKeys.put(30, "chatVisibility");
      sKeys.put(31, "clazz");
      sKeys.put(32, "clazzAssignment");
      sKeys.put(33, "clazzCodeVisible");
      sKeys.put(34, "clazzEndDateError");
      sKeys.put(35, "clazzEnrolment");
      sKeys.put(36, "clazzEnrolmentWithClazz");
      sKeys.put(37, "clazzLocalTimeZone");
      sKeys.put(38, "clazzLog");
      sKeys.put(39, "clazzLogAttendanceRecordWithPerson");
      sKeys.put(40, "clazzLogLocalTime");
      sKeys.put(41, "clazzStartDateError");
      sKeys.put(42, "code");
      sKeys.put(43, "comment");
      sKeys.put(44, "commentwithperson");
      sKeys.put(45, "completionCriteriaListener");
      sKeys.put(46, "completionCriteriaOptions");
      sKeys.put(47, "compressionEnabled");
      sKeys.put(48, "conditionOptions");
      sKeys.put(49, "conditionSelectionListener");
      sKeys.put(50, "conditionsErrorText");
      sKeys.put(51, "containerTitle");
      sKeys.put(52, "contentEntry");
      sKeys.put(53, "contentEntryButtons");
      sKeys.put(54, "contentEntryPicture");
      sKeys.put(55, "contentEntryPictureUri");
      sKeys.put(56, "contententry");
      sKeys.put(57, "course");
      sKeys.put(58, "courseBlockOneToManyListener");
      sKeys.put(59, "courseGroupSet");
      sKeys.put(60, "courseImageAdapter");
      sKeys.put(61, "coursePicture");
      sKeys.put(62, "courseTerminology");
      sKeys.put(63, "coverImage");
      sKeys.put(64, "createAccountVisibility");
      sKeys.put(65, "createNewFilter");
      sKeys.put(66, "createNewText");
      sKeys.put(67, "currentPasswordError");
      sKeys.put(68, "currentPasswordVisibility");
      sKeys.put(69, "customField");
      sKeys.put(70, "customFieldOptions");
      sKeys.put(71, "customFieldValue");
      sKeys.put(72, "customFieldValueOptions");
      sKeys.put(73, "dataSetSelectionListener");
      sKeys.put(74, "date");
      sKeys.put(75, "dateError");
      sKeys.put(76, "dateOfBirth");
      sKeys.put(77, "dateOfBirthFieldError");
      sKeys.put(78, "dateRangeMoment");
      sKeys.put(79, "dateRangeMomentSelected");
      sKeys.put(80, "dateRangeOptions");
      sKeys.put(81, "dateTimeMode");
      sKeys.put(82, "dateTimeModeEnd");
      sKeys.put(83, "dayOptions");
      sKeys.put(84, "deadlineDate");
      sKeys.put(85, "deadlinePassed");
      sKeys.put(86, "deadlineTime");
      sKeys.put(87, "discussion");
      sKeys.put(88, "discussionPost");
      sKeys.put(89, "discussionTopic");
      sKeys.put(90, "dropDownValueOptions");
      sKeys.put(91, "editButtonMode");
      sKeys.put(92, "emailError");
      sKeys.put(93, "emptyStateDrawableId");
      sKeys.put(94, "emptyStateMessage");
      sKeys.put(95, "endDateError");
      sKeys.put(96, "enrolmentPolicy");
      sKeys.put(97, "entityName");
      sKeys.put(98, "entityType");
      sKeys.put(99, "entry");
      sKeys.put(100, "entryWithLanguage");
      sKeys.put(101, "errorReport");
      sKeys.put(102, "errorText");
      sKeys.put(103, "eventHandler");
      sKeys.put(104, "featuresBitmaskFlags");
      sKeys.put(105, "fieldErrorText");
      sKeys.put(106, "fieldOptions");
      sKeys.put(107, "fieldSelectionListener");
      sKeys.put(108, "fieldsEnabled");
      sKeys.put(109, "fileNameText");
      sKeys.put(110, "fileRequiredListener");
      sKeys.put(111, "fileSubmission");
      sKeys.put(112, "fileSubmissionVisibility");
      sKeys.put(113, "fileTypeOptions");
      sKeys.put(114, "filter");
      sKeys.put(115, "filterOptions");
      sKeys.put(116, "firstNamesError");
      sKeys.put(117, "fragment");
      sKeys.put(118, "fragmentEventHandler");
      sKeys.put(119, "fromFixedDateMissing");
      sKeys.put(120, "fromTimeError");
      sKeys.put(121, "genderFieldError");
      sKeys.put(122, "genderOptions");
      sKeys.put(123, "gracePeriodDate");
      sKeys.put(124, "gracePeriodTime");
      sKeys.put(125, "gracePeriodVisibility");
      sKeys.put(126, "groupList");
      sKeys.put(127, "groupMember");
      sKeys.put(128, "groupSet");
      sKeys.put(129, "groupSetEnabled");
      sKeys.put(130, "hasFilesToSubmit");
      sKeys.put(131, "hasPassedDeadline");
      sKeys.put(132, "headingText");
      sKeys.put(133, "hideClazzes");
      sKeys.put(134, "hintText");
      sKeys.put(135, "holiday");
      sKeys.put(136, "holidayCalendar");
      sKeys.put(137, "holidayCalendarVisible");
      sKeys.put(138, "holidaycalendar");
      sKeys.put(139, "imageViewLifecycleObserver");
      sKeys.put(140, "importErrorColor");
      sKeys.put(141, "importLink");
      sKeys.put(142, "inProgress");
      sKeys.put(143, "indentLevel");
      sKeys.put(144, "infoText");
      sKeys.put(145, "intentMessage");
      sKeys.put(146, "inviteHandler");
      sKeys.put(147, "isEditVisible");
      sKeys.put(148, "isImportError");
      sKeys.put(149, "isPickerMode");
      sKeys.put(150, "isPortrait");
      sKeys.put(151, "itemListener");
      sKeys.put(152, "joinCode");
      sKeys.put(153, "langListVisible");
      sKeys.put(154, "langNameError");
      sKeys.put(155, "language");
      sKeys.put(156, "languageError");
      sKeys.put(157, "lastNameError");
      sKeys.put(158, "learnerGroupMember");
      sKeys.put(159, "leavingReason");
      sKeys.put(160, "licenceOptions");
      sKeys.put(161, "link");
      sKeys.put(162, "linkError");
      sKeys.put(163, "listener");
      sKeys.put(164, "loading");
      sKeys.put(165, "loadingStatus");
      sKeys.put(166, "locallyAvailable");
      sKeys.put(167, "loggedInPerson");
      sKeys.put(168, "loggedInPersonUid");
      sKeys.put(169, "logoutBtnVisibility");
      sKeys.put(170, "mFragment");
      sKeys.put(171, "mPresenter");
      sKeys.put(172, "manageParentConsentVisible");
      sKeys.put(173, "mark");
      sKeys.put(174, "markCompleteVisible");
      sKeys.put(175, "markNextStudentVisible");
      sKeys.put(176, "markStudentVisible");
      sKeys.put(177, "markingTypeOptions");
      sKeys.put(178, "message");
      sKeys.put(179, "metadataResult");
      sKeys.put(180, "minScoreVisible");
      sKeys.put(181, "notSubmitted");
      sKeys.put(182, "onClickNew");
      sKeys.put(183, "onClickSort");
      sKeys.put(184, "onListFilterOptionSelected");
      sKeys.put(185, "oneToManyJoinListener");
      sKeys.put(186, "openSheet");
      sKeys.put(187, "option");
      sKeys.put(188, "pagedListAdapter");
      sKeys.put(189, "parentContact");
      sKeys.put(190, "parentContactError");
      sKeys.put(191, "password");
      sKeys.put(192, "passwordConfirmError");
      sKeys.put(193, "passwordError");
      sKeys.put(194, "passwordVisible");
      sKeys.put(195, "permissionButtonVisible");
      sKeys.put(196, "person");
      sKeys.put(197, "personGroup");
      sKeys.put(198, "personImageAdapter");
      sKeys.put(199, "personParentJoin");
      sKeys.put(200, "personPicture");
      sKeys.put(201, "personUid");
      sKeys.put(202, "personWithEnrolmentDetails");
      sKeys.put(203, "presenter");
      sKeys.put(204, "profileBtnVisibility");
      sKeys.put(205, "publicComment");
      sKeys.put(206, "reasonLeavingVisible");
      sKeys.put(207, "reasonTitleError");
      sKeys.put(208, "registrationMode");
      sKeys.put(209, "relToOptions");
      sKeys.put(210, "relUnitOption");
      sKeys.put(211, "relationshipFieldError");
      sKeys.put(212, "relationshipFieldOptions");
      sKeys.put(213, "report");
      sKeys.put(214, "reportFilter");
      sKeys.put(215, "reportTemplate");
      sKeys.put(216, "roleOptions");
      sKeys.put(217, "roleSelectedError");
      sKeys.put(218, "saveAsTemplateVisible");
      sKeys.put(219, "schedule");
      sKeys.put(220, "scheduleOneToManyListener");
      sKeys.put(221, "school");
      sKeys.put(222, "schoolCodeVisible");
      sKeys.put(223, "schoolMember");
      sKeys.put(224, "schoolWithHolidayCalendar");
      sKeys.put(225, "scopedGrant");
      sKeys.put(226, "scopedGrantFlagMessageIds");
      sKeys.put(227, "scopedGrantListener");
      sKeys.put(228, "scopedGrantsOneToManyListener");
      sKeys.put(229, "score");
      sKeys.put(230, "scoreProgress");
      sKeys.put(231, "selectFolderVisible");
      sKeys.put(232, "selectListener");
      sKeys.put(233, "selectablePagedListAdapter");
      sKeys.put(234, "selectedFilterOption");
      sKeys.put(235, "selectedStorageIndex");
      sKeys.put(236, "series");
      sKeys.put(237, "session");
      sKeys.put(238, "sheet");
      sKeys.put(239, "showButton");
      sKeys.put(240, "showDeleteButton");
      sKeys.put(241, "showFiles");
      sKeys.put(242, "showFolder");
      sKeys.put(243, "showPoints");
      sKeys.put(244, "showProgress");
      sKeys.put(245, "showUpdateContentButton");
      sKeys.put(246, "showVideoPreview");
      sKeys.put(247, "showWebPreview");
      sKeys.put(248, "site");
      sKeys.put(249, "siteLink");
      sKeys.put(250, "siteTerms");
      sKeys.put(251, "siteTermsWithLanguage");
      sKeys.put(252, "sortListener");
      sKeys.put(253, "sortOption");
      sKeys.put(254, "startDate");
      sKeys.put(255, "startDateError");
      sKeys.put(256, "startTime");
      sKeys.put(257, "statement");
      sKeys.put(258, "statusOptions");
      sKeys.put(259, "statusSelectorListener");
      sKeys.put(260, "storageOptions");
      sKeys.put(261, "subgroupOptions");
      sKeys.put(262, "subgroupSelectionListener");
      sKeys.put(263, "submission");
      sKeys.put(264, "submissionPolicy");
      sKeys.put(265, "submissionStatus");
      sKeys.put(266, "tableId");
      sKeys.put(267, "teacherStudentCount");
      sKeys.put(268, "text");
      sKeys.put(269, "textLimitTypeOptions");
      sKeys.put(270, "textRequiredListener");
      sKeys.put(271, "textSubmissionVisibility");
      sKeys.put(272, "time");
      sKeys.put(273, "timeError");
      sKeys.put(274, "timeZone");
      sKeys.put(275, "timeZoneId");
      sKeys.put(276, "titleErrorEnabled");
      sKeys.put(277, "titleErrorText");
      sKeys.put(278, "toFixedDateMissing");
      sKeys.put(279, "toRelativeDateInvalid");
      sKeys.put(280, "toTimeError");
      sKeys.put(281, "translationVisibility");
      sKeys.put(282, "uidAndLabel");
      sKeys.put(283, "unassignedError");
      sKeys.put(284, "url");
      sKeys.put(285, "username");
      sKeys.put(286, "usernameError");
      sKeys.put(287, "usernameVisibility");
      sKeys.put(288, "valuesErrorText");
      sKeys.put(289, "valuesSelectionListener");
      sKeys.put(290, "verbEntity");
      sKeys.put(291, "versionInfo");
      sKeys.put(292, "versionText");
      sKeys.put(293, "videoPreviewVisibility");
      sKeys.put(294, "visualTypeOptions");
      sKeys.put(295, "visualTypeSelectionListener");
      sKeys.put(296, "workspaceSettingsVisible");
      sKeys.put(297, "workspaceTerms");
      sKeys.put(298, "xAxisOptions");
      sKeys.put(299, "xAxisSelectionListener");
      sKeys.put(300, "yAxisOptions");
    }
  }

  private static class InnerLayoutIdLookup {
    static final HashMap<String, Integer> sKeys = new HashMap<String, Integer>(0);
  }
}
